# $Revision: 1.7 $, $Date: 2009/10/16 08:54:34 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	WWW
%define		pnam	Form
Summary:	Object-oriented module for HTML form input validation and display
Summary(pl.UTF-8):	Obiektowo zorientowany moduł do sprawdzania poprawności i wyświetlania formularzy HTML
Name:		perl-WWW-Form
Version:	1.18
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/WWW/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b3de0bb7571a73d3316536b947077ede
URL:		http://search.cpan.org/dist/WWW-Form/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Object-oriented module for HTML form input validation and display.

%description -l pl.UTF-8
Obiektowo zorientowany moduł do sprawdzania poprawności i wyświetlania
formularzy HTML.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/WWW/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-WWW-Form.spec,v $
Revision 1.7  2009/10/16 08:54:34  amateja
- updated to 1.18

Revision 1.6  2007/03/31 16:57:27  qboosh
- generic URL

Revision 1.5  2007/03/26 19:56:51  radek
- version 1.17

Revision 1.4  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.2  2005/07/16 12:42:04  qboosh
- pl, more readable files

Revision 1.1  2005/07/13 18:23:03  twittner
- added
